// Vertex Shader

attribute vec3 vPosition;
attribute vec3 vRatio;
attribute vec2 a_TexCoordinate;

varying vec2 v_TexCoordinate;

void main()
{

	v_TexCoordinate = a_TexCoordinate;

	if (vRatio.y < 1.0)
	    {
	     gl_Position = vec4(vPosition * vRatio, 1.0);
	    }
	else
	    {
	     gl_Position = vec4(vPosition / vRatio, 1.0);
	    }
            
}

